a5bd9f6
From 966a29c8d4d95184f51f62698efadba5df80309b Mon Sep 17 00:00:00 2001
a5bd9f6
From: Vladimir 'phcoder' Serbinenko <phcoder@gmail.com>
a5bd9f6
Date: Mon, 15 Apr 2013 01:53:33 +0200
a5bd9f6
Subject: [PATCH 314/364] 	* tests/grub_script_expansion.in: Use
a5bd9f6
 fixed-string grep to skip over 	firmware error messages.
a5bd9f6
a5bd9f6
---
a5bd9f6
 ChangeLog                      | 5 +++++
a5bd9f6
 tests/grub_script_expansion.in | 6 +++---
a5bd9f6
 2 files changed, 8 insertions(+), 3 deletions(-)
a5bd9f6
a5bd9f6
diff --git a/ChangeLog b/ChangeLog
a5bd9f6
index 7469030..1391202 100644
a5bd9f6
--- a/ChangeLog
a5bd9f6
+++ b/ChangeLog
a5bd9f6
@@ -1,5 +1,10 @@
a5bd9f6
 2013-04-15  Vladimir Serbinenko  <phcoder@gmail.com>
a5bd9f6
 
a5bd9f6
+	* tests/grub_script_expansion.in: Use fixed-string grep to skip over
a5bd9f6
+	firmware error messages.
a5bd9f6
+
a5bd9f6
+2013-04-15  Vladimir Serbinenko  <phcoder@gmail.com>
a5bd9f6
+
a5bd9f6
 	* grub-core/kern/ieee1275/openfw.c (grub_ieee1275_devalias_next): Make
a5bd9f6
 	source and destination differ.
a5bd9f6
 
a5bd9f6
diff --git a/tests/grub_script_expansion.in b/tests/grub_script_expansion.in
a5bd9f6
index 03dc510..e46401c 100644
a5bd9f6
--- a/tests/grub_script_expansion.in
a5bd9f6
+++ b/tests/grub_script_expansion.in
a5bd9f6
@@ -21,12 +21,12 @@ disks=`echo ls | @builddir@/grub-shell| grep -av '^Network protocols:$'| grep -a
a5bd9f6
 other=`echo insmod regexp\; echo \* | @builddir@/grub-shell`
a5bd9f6
 for d in $disks; do
a5bd9f6
     if echo "$d" |grep ',' >/dev/null; then
a5bd9f6
-	if echo "$other" | grep "$d" >/dev/null; then
a5bd9f6
+	if echo "$other" | grep -F -- "$d" >/dev/null; then
a5bd9f6
 	    echo "$d should not occur in * expansion" >&2
a5bd9f6
 	    exit 1
a5bd9f6
 	fi
a5bd9f6
     else
a5bd9f6
-	if ! echo "$other" | grep "$d" >/dev/null; then
a5bd9f6
+	if ! echo "$other" | grep -F -- "$d" >/dev/null; then
a5bd9f6
 	    echo "$d missing from * expansion" >&2
a5bd9f6
 	    exit 1
a5bd9f6
 	fi
a5bd9f6
@@ -35,7 +35,7 @@ done
a5bd9f6
 
a5bd9f6
 other=`echo insmod regexp\; echo '(*)' | @builddir@/grub-shell`
a5bd9f6
 for d in $disks; do
a5bd9f6
-    if ! echo "$other" | grep -F "$d" >/dev/null; then
a5bd9f6
+    if ! echo "$other" | grep -F -- "$d" >/dev/null; then
a5bd9f6
 	echo "$d missing from (*) expansion" >&2
a5bd9f6
 	exit 1
a5bd9f6
     fi
a5bd9f6
-- 
a5bd9f6
1.8.1.4
a5bd9f6